Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.management.stats
Class SedaServiceStatistics

    java.lang.Object
      org.mule.management.stats.AbstractFlowConstructStatistics
          org.mule.management.stats.FlowConstructStatistics
              org.mule.management.stats.ServiceStatistics
                  org.mule.management.stats.SedaServiceStatistics

All Implemented Interfaces:
  Serializable, Statistics, QueueStatistics

    public class SedaServiceStatistics

extends ServiceStatistics

TODO MULE-2233 Pooling functionality has been abstracted out of the SedaService. This class should be updated accordingly.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.management.stats.FlowConstructStatistics
`flowStatistics`

Fields inherited from class org.mule.management.stats.AbstractFlowConstructStatistics
`enabled, flowConstructType, name, receivedEventASync, receivedEventSync`

Constructor Summary
`SedaServiceStatistics(String name, int threadPoolSize, int componentPoolsize)`

Method Summary
`void` | `clear()`
`int` | `getComponentPoolAbsoluteMaxSize()`
`int` | `getComponentPoolMaxSize()`
`int` | `getComponentPoolSize()`
`void` | `setComponentPoolSize(int componentPoolSize)`

Methods inherited from class org.mule.management.stats.ServiceStatistics
`decQueuedEvent, getAsyncEventsSent, getAverageExecutionTime, getAverageQueueSize, getComponentStat, getExecutedEvents, getInboundRouterStat, getMaxExecutionTime, getMaxQueueSize, getMinExecutionTime, getOutboundRouterStat, getQueuedEvents, getReplyToEventsSent, getSyncEventsSent, getTotalEventsSent, getTotalExecutionTime, incQueuedEvent, incSentEventASync, incSentEventSync, incSentReplyToEvent, logSummary, logSummary, setComponentStat, setEnabled, setInboundRouterStat, setOutboundRouterStat`

Methods inherited from class org.mule.management.stats.FlowConstructStatistics
`addCompleteFlowExecutionTime, addFlowExecutionBranchTime, getAverageProcessingTime, getExecutionErrors, getFatalErrors, getMaxProcessingTime, getMinProcessingTime, getProcessedEvents, getThreadPoolSize, getTotalProcessingTime, incExecutionError, incFatalError, isEnabled`

Methods inherited from class org.mule.management.stats.AbstractFlowConstructStatistics
`getAsyncEventsReceived, getFlowConstructType, getName, getSamplePeriod, getSyncEventsReceived, getTotalEventsReceived, incReceivedEventASync, incReceivedEventSync, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.management.stats.Statistics
`isEnabled`

Constructor Detail

### SedaServiceStatistics

    public SedaServiceStatistics(String name,
                                 int threadPoolSize,
                                 int componentPoolsize)

Method Detail

### clear

    public void clear()

  Overrides:
    `clear` in class `ServiceStatistics`

### getComponentPoolMaxSize

    public int getComponentPoolMaxSize()

### getComponentPoolAbsoluteMaxSize

    public int getComponentPoolAbsoluteMaxSize()

### getComponentPoolSize

    public int getComponentPoolSize()

### setComponentPoolSize

    public void setComponentPoolSize(int componentPoolSize)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.